<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-473"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20UIView%28XHXRect%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: UIView(XHXRect)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_view_07_x_h_x_rect_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> |
<a href="category_u_i_view_07_x_h_x_rect_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIView(XHXRect)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_view_09_x_h_x_rect_8h_source.html">UIView+XHXRect.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a75a449a894797f0a898194305575b6bc"><td class="memItemLeft" align="right" valign="top">CGSize&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a75a449a894797f0a898194305575b6bc">size</a></td></tr>
<tr class="separator:a75a449a894797f0a898194305575b6bc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8c001ebce5be52d209d913ff79479e80"><td class="memItemLeft" align="right" valign="top">CGPoint&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a8c001ebce5be52d209d913ff79479e80">origin</a></td></tr>
<tr class="separator:a8c001ebce5be52d209d913ff79479e80"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a4dff86aee2fa7c4aa532e6365f309f30"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a4dff86aee2fa7c4aa532e6365f309f30">minX</a></td></tr>
<tr class="separator:a4dff86aee2fa7c4aa532e6365f309f30"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0aed606c21cc7040ddbb4f4778b01b7b"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a0aed606c21cc7040ddbb4f4778b01b7b">minY</a></td></tr>
<tr class="separator:a0aed606c21cc7040ddbb4f4778b01b7b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae6ba920be9005cd681738361a55074db"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#ae6ba920be9005cd681738361a55074db">maxX</a></td></tr>
<tr class="separator:ae6ba920be9005cd681738361a55074db"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0aa1a71e5d0a754b2c989ad4b29965bc"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a0aa1a71e5d0a754b2c989ad4b29965bc">maxY</a></td></tr>
<tr class="separator:a0aa1a71e5d0a754b2c989ad4b29965bc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a102452aeb3a94e5600d5329cfe07fb97"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a102452aeb3a94e5600d5329cfe07fb97">x</a></td></tr>
<tr class="separator:a102452aeb3a94e5600d5329cfe07fb97"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7baea446235219eb6305623bf118fb15"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a7baea446235219eb6305623bf118fb15">y</a></td></tr>
<tr class="separator:a7baea446235219eb6305623bf118fb15"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1b88998f3abbfef44bf36bba5f6eb6b4"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a1b88998f3abbfef44bf36bba5f6eb6b4">width</a></td></tr>
<tr class="separator:a1b88998f3abbfef44bf36bba5f6eb6b4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abc47fb0c60da42dd94342f81b2e88a07"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#abc47fb0c60da42dd94342f81b2e88a07">height</a></td></tr>
<tr class="separator:abc47fb0c60da42dd94342f81b2e88a07"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9ed160b0e53ca10814c7e4cc0d982f23"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a9ed160b0e53ca10814c7e4cc0d982f23">top</a></td></tr>
<tr class="separator:a9ed160b0e53ca10814c7e4cc0d982f23"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af7d972adadf6b630fa291c57766daa2d"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#af7d972adadf6b630fa291c57766daa2d">bottom</a></td></tr>
<tr class="separator:af7d972adadf6b630fa291c57766daa2d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab82a610b7aa2c27471d9377bce24e70e"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#ab82a610b7aa2c27471d9377bce24e70e">left</a></td></tr>
<tr class="separator:ab82a610b7aa2c27471d9377bce24e70e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a87c9a8a3010e67805508ed730b0fe940"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a87c9a8a3010e67805508ed730b0fe940">right</a></td></tr>
<tr class="separator:a87c9a8a3010e67805508ed730b0fe940"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae5e70d211aa8948f853901f92bc18dbb"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#ae5e70d211aa8948f853901f92bc18dbb">centerX</a></td></tr>
<tr class="separator:ae5e70d211aa8948f853901f92bc18dbb"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af12e1d3be568c4dfb0972da491eb6f0c"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#af12e1d3be568c4dfb0972da491eb6f0c">centerY</a></td></tr>
<tr class="separator:af12e1d3be568c4dfb0972da491eb6f0c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa9d84ea50dd3f3819d58b25a4308be56"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#aa9d84ea50dd3f3819d58b25a4308be56">middleX</a></td></tr>
<tr class="separator:aa9d84ea50dd3f3819d58b25a4308be56"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a725748d5c58981c05102053306ff934f"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a725748d5c58981c05102053306ff934f">middleY</a></td></tr>
<tr class="separator:a725748d5c58981c05102053306ff934f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af0099e7b136dab595017ec9bc2116a0c"><td class="memItemLeft" align="right" valign="top">CGPoint&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#af0099e7b136dab595017ec9bc2116a0c">middlePoint</a></td></tr>
<tr class="separator:af0099e7b136dab595017ec9bc2116a0c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">属性说明</h2>
<a id="af7d972adadf6b630fa291c57766daa2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7d972adadf6b630fa291c57766daa2d">◆&nbsp;</a></span>bottom</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) bottom</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5e70d211aa8948f853901f92bc18dbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5e70d211aa8948f853901f92bc18dbb">◆&nbsp;</a></span>centerX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) centerX</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="af12e1d3be568c4dfb0972da491eb6f0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af12e1d3be568c4dfb0972da491eb6f0c">◆&nbsp;</a></span>centerY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) centerY</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="abc47fb0c60da42dd94342f81b2e88a07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc47fb0c60da42dd94342f81b2e88a07">◆&nbsp;</a></span>height</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) height</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab82a610b7aa2c27471d9377bce24e70e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab82a610b7aa2c27471d9377bce24e70e">◆&nbsp;</a></span>left</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) left</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6ba920be9005cd681738361a55074db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6ba920be9005cd681738361a55074db">◆&nbsp;</a></span>maxX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) maxX</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a0aa1a71e5d0a754b2c989ad4b29965bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aa1a71e5d0a754b2c989ad4b29965bc">◆&nbsp;</a></span>maxY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) maxY</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="af0099e7b136dab595017ec9bc2116a0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0099e7b136dab595017ec9bc2116a0c">◆&nbsp;</a></span>middlePoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGPoint) middlePoint</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9d84ea50dd3f3819d58b25a4308be56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9d84ea50dd3f3819d58b25a4308be56">◆&nbsp;</a></span>middleX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) middleX</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a725748d5c58981c05102053306ff934f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a725748d5c58981c05102053306ff934f">◆&nbsp;</a></span>middleY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) middleY</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a4dff86aee2fa7c4aa532e6365f309f30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dff86aee2fa7c4aa532e6365f309f30">◆&nbsp;</a></span>minX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) minX</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a0aed606c21cc7040ddbb4f4778b01b7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aed606c21cc7040ddbb4f4778b01b7b">◆&nbsp;</a></span>minY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) minY</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c001ebce5be52d209d913ff79479e80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c001ebce5be52d209d913ff79479e80">◆&nbsp;</a></span>origin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGPoint) origin</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a87c9a8a3010e67805508ed730b0fe940"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87c9a8a3010e67805508ed730b0fe940">◆&nbsp;</a></span>right</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) right</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a75a449a894797f0a898194305575b6bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75a449a894797f0a898194305575b6bc">◆&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGSize) size</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ed160b0e53ca10814c7e4cc0d982f23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ed160b0e53ca10814c7e4cc0d982f23">◆&nbsp;</a></span>top</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) top</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b88998f3abbfef44bf36bba5f6eb6b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b88998f3abbfef44bf36bba5f6eb6b4">◆&nbsp;</a></span>width</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) width</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a102452aeb3a94e5600d5329cfe07fb97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a102452aeb3a94e5600d5329cfe07fb97">◆&nbsp;</a></span>x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) x</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7baea446235219eb6305623bf118fb15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7baea446235219eb6305623bf118fb15">◆&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) y</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_view_09_x_h_x_rect_8h_source.html">UIView+XHXRect.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Category/<a class="el" href="_u_i_view_09_x_h_x_rect_8m.html">UIView+XHXRect.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_view_07_x_h_x_rect_08.html">UIView(XHXRect)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>